"use strict";

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.default = reduxUnhandledAction;

var _defaultErrorHandler = require("./default-error-handler");

var _defaultErrorHandler2 = _interopRequireDefault(_defaultErrorHandler);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function reduxUnhandledAction() {
	var callback = arguments.length <= 0 || arguments[0] === undefined ? _defaultErrorHandler2.default : arguments[0];

	return function (_ref) {
		var getState = _ref.getState;
		return function (next) {
			return function (action) {
				var prevState = getState();
				var result = next(action);
				var nextState = getState();
				if (prevState === nextState) {
					callback(action);
				}
				return result;
			};
		};
	};
}